kbd (2.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/ppc-keycode0-test.patch, fixed upstream.
  * Drop debian/patches/Support-KT_DEAD2-diacritics.patch, fixed upstream.

  [ Michael Biebl ]
  * kbd-udeb: Move binaries to canonical location in /usr. (Closes: #1122352)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 14 Dec 2025 10:38:41 +0100

kbd (2.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/ppc-keycode0-test.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 20:11:27 +0100

kbd (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 11:40:06 +0100

kbd (2.7~rc1-1) experimental; urgency=medium

  * Team upload.
  * debian/watch: Mangle rc versions to ~rc
  * debian/gbp: Rename branches to /latest according to DEP14
  * New upstream release candidate.
  * Upload to experimental.
  * Update Misc...patch to apply
  * Revert "Cherry-pick patches from upstream fixing gcc14 FTBFS"
  * debian/kbd.docs: Drop outdated docs removed upstream
  * debian/copyright: Update renamed files

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Nov 2024 20:08:52 +0100

kbd (2.6.4-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream fixing gcc14 FTBFS (Closes: #1075109)
  * Build-dep on pkgconf instead of pkg-config

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 24 Sep 2024 03:12:26 +0200

kbd (2.6.4-2) unstable; urgency=medium

  * Team upload (to unstable).

  [ cacin ]
  * Use https in homepage url (Closes: #1060324)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Jan 2024 18:45:12 +0100

kbd (2.6.4-1) experimental; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Fix failure to build twice in a row (Closes: #1047644)

  [ cacin ]
  * move files to /usr for DEP17 (Closes: #1060074)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Jan 2024 11:51:40 +0100

kbd (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Unfuzz debian/patches/Miscellaneous-manpage-corrections-and-additions.patch
  * Unfuzz debian/patches/Check-for-X-in-kbd_mode.patch
  * Revert "Cherry-pick no install libtswrap internal library"
  * Let `gbp pq <import|export>` refresh patches
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * debian/copyright: Update paths of moved files

  [ nick black ]
  * refer to deallocvt(8), not disalloc(8) (Closes: #989525)

  [ Osamu Aoki ]
  * update d/control for console-setup (Closes: #998086)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Oct 2022 21:24:51 +0200

kbd (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Revert "debian/rules: avoid shipping libtool scripts in udeb"
  * Disable libkeymap (Closes: #969965)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Oct 2020 12:13:12 +0200

kbd (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: clean all udeb built files
  * debian/rules: avoid shipping libtool scripts in udeb (Closes: #969965)
  * Support the noudeb build profile

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 21:20:45 +0200

kbd (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: switch to github url
  * New upstream release.
  * Revert "Cherry-pick const fixup from upstream"
  * Revert "Cherry-pick upstream format-string fix"
  * Revert "Cherry-pick upstream fix for CFLAGS"
  * Massage remaining debian/patches to apply again
  * Build libkfont for udeb (needed by loadkeys)
  * Cherry-pick no install libtswrap internal library

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 19:25:51 +0200

kbd (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Andreas Henriksson ]
  * debian/gbp.conf: upstream tags now have v prefix
  * New upstream release.
    - commit 12c4be5d fixes build with gcc-10 (Closes: #957398)
  * Fix d/p/Change-misleading....-XLATE-mode.patch to apply
  * Refresh remaining patches
  * Cherry-pick const fixup from upstream
  * Use --enable-libkeymap configure flag
  * Build libcommon/libkbdfile as needed by libkeymap
  * Cherry-pick upstream fix for CFLAGS
  * Cherry-pick upstream format-string fix
  * Avoid shipping any libtool files
  * Drop obsolete upgrade maintscript code
  * debian/gbp.conf: Remove build-area setting

  lintian-brush fixes:
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entry 0.91-13.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 21 Aug 2020 13:52:04 +0200

kbd (2.0.4-4) unstable; urgency=medium

  * Team upload.
  * Use dpkg/architecture.mk instead of manually setting DEB_* variables
  * Stop creating open (-> openvt) compatibility symlink (Closes: #732796)
  * Bump Standards-Version to 4.1.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 17:58:59 +0200

kbd (2.0.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields to point at salsa.debian.org

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 May 2018 19:22:04 +0200

kbd (2.0.4-2) unstable; urgency=medium

  * Drop obsolete lsb-base dependency
  * Bump to debhelper compat 10 (automatic dh-autoreconf, etc)
  * Bump Standards-Version to 4.1.0
  * Remove myself from uploaders

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Sep 2017 10:33:29 +0200

kbd (2.0.4-1) unstable; urgency=medium

  * debian/gbp.conf: Add import-orig upstream-vcs-tag setting
  * debian/watch: look for .xz tarballs
  * New upstream release.
  * Update patches to apply again
  * Revert "Add debian/patches/0001-add-configure-flag-to-disable-tests.patch"
    - now part of upstream release.
  * debian/gbp.conf: switch deprecated section name gbp-pq to pq
  * Bump Standards-Version to 4.0.0
  * Use recommended https urls for Vcs-* fields

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Jul 2017 02:43:37 +0200

kbd (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Stop shipping /etc/init.d/kbd and /etc/kbd/* (Closes: #796583)
  * Drop kbd init script and /etc/kbd/* if unused
  * Add debian/NEWS entry for kbd init removal
  * Add myself to Uploaders
  * Add myself to debian/copyright for debian/*
  * Stop shipping obsolete /etc/kbd & /etc/init.d dirs
  * Add/ship an example vcstime.service

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Jan 2016 17:55:55 +0100

kbd (2.0.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * Add debian/gbp.conf
  * Imported Upstream version 2.0.3 (Closes: #805314)
  * Update debian/patches/manpages.diff to use new path
    - upstream moved manpages from ./man/ to ./docs/man/
  * Have quilt refresh debian/patches/openvt.diff
  * Drop debian/patches/loadkeys_flex_stack.diff
    - now part of upstream release
  * Update debian/patches/dead2.diff to apply
    - patch src/libkeymap where relevant code has been relocated
    - update context of patches to make them apply after upstream changes
  * Change debian/patches/dead2.diff to use new helpers
    - use helper functions to follow upstream code style in libkeymap
  * debian/rules: update cleanup of generated files
    - upstream changed which files are generated, adapt to it.
  * Add build-dependency on pkg-config + check
  * Add debian/patches/0001-add-configure-flag-to-disable-tests.patch
    - cherry-pick fix from upstream git
  * debian/rules: update build target for libkeymap -Os build
  * Update debian/rules for man moving to docs/man
  * Update debian/kbd.docs for doc moving to docs/doc
  * Update debian/rules for doc move to docs/doc
  * Update debian/kbd.manpages for man move to docs/man
  * debian/control: Add Homepage field
  * Add debian/missing-sources/jquery.js
  * Improve/update debian/copyright
  * kbd.init: make initial whitespace on comment lines optional
  * kbd.init: only parse logind.conf if we're running systemd
  * kbd.init: don't assume /etc/inittab always exists
  * debian/kbd.init: run setterm against /dev/tty1 under systemd.
    Thanks to Andreas Trottmann (Closes: #771161)
  * debian/gbp.conf: disable patch-numbers in gbp pq
  * Have gbp pq import && gbp pq export rename patches
    - debian/patches/kbd_mode.diff =>
      debian/patches/Change-misleading-kbd_mode-message-for-XLATE-mode.patch
    - debian/patches/manpages.diff =>
      debian/patches/Miscellaneous-manpage-corrections-and-additions.patch
    - debian/patches/openvt.diff =>
      debian/patches/Various-fixes-to-the-openvt-utility.patch
    - debian/patches/unicode_start_breaks_X.diff =>
      debian/patches/Check-for-X-in-kbd_mode.patch
    - debian/patches/dead2.diff =>
      debian/patches/Support-KT_DEAD2-diacritics.patch
    - debian/patches/0001-add-configure-flag-to-disable-tests.patch =>
      debian/patches/add-configure-flag-to-disable-tests.patch
  * debian/patches/*: Add back Forwarded / Bug-Debian meta-headers
  * debian/patches/*: description in plain ascii to avoid extra headers

  [ Marco d'Itri ]
  * files with the same name installed in / and /usr (Closes: #767922)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Dec 2015 11:21:18 +0100

kbd (1.15.5-2) unstable; urgency=medium

  * Not updating to the new upstream version 2.0.2, as it contains major
    changes (including a shared object for most of dumpkeys' and loadkeys'
    features) and we're close to the freeze.
  * /etc/init.d/kbd: More accurately detect allocated ttys in /etc/inittab,
    closes: #744973.
  * /etc/init.d/kbd: Instead of checking for console access based on fgconsole
    and the file behind FD 0, use the test_console function from
    console-setup's setupcon.  This makes the script run even under systemd,
    closes: #750631.
  * /etc/init.d/kbd: Parse /etc/systemd/logind.conf, if available, to find the
    list of VTs to configure.
  * README.Debian: Information on console-setup and its predecessors, closes:
    #750814.  Thanks to Osamu Aoki for the patch.
  * debian/rules: Remove the -u parameter from dh_installinit, as update-rc.d
    no longer supports the “start” option.
  * Fix a few typos in debian/copyright, courtesy of lintian.
  * Update Standards-Version to 3.9.6, no source changes required.
  * Medium urgency upload so we get a couple of days in testing before the
    freeze.

 -- Michael Schutte <michi@debian.org>  Sat, 25 Oct 2014 19:46:15 +0200

kbd (1.15.5-1) unstable; urgency=low

  * New upstream release.
    - Drop the loadkeys_stdin patch introduced in 1.15.3-2 (included in this
      version).
    - The kbd tarball now ships with a basic implementation of vlock.  This
      program will not be included in the binary package.
    - resizecons is now built and installed on amd64, closes: #692014.  Also
      amend the manpages patch to explain the program’s absence on
      non-x86[_64] architectures in resizecons.8.
    - Build the Spanish messages again (dropped in 1.15.3-1).
  * Treat src/loadkeys.analyze.h (generated by flex, but also shipped in the
    orig tarball) specially in debian/rules so the clean target functions
    properly and the package can be built twice in a row.
  * Use dh-autoreconf to regenerate config.guess and config.sub during the
    build process, closes: #700119.  This introduces new build-deps on
    dh-autoreconf and autopoint and removes the explicit dependencies on
    autoconf and automake.  Thanks to Colin Watson <cjwatson@ubuntu.com> for
    the hint.
  * Update the source URL and the years of publication in debian/copyright and
    add a paragraph for the added vlock code.
  * New patch loadkeys_flex_stack, taken from upstream Git: Fix a regression
    in loadkeys.analyze.l which causes some keymap files to fail to load.
  * New patch dead2 by Samuel Thibault <sthibault@debian.org> to support
    KT_DEAD2 diacritics in loadkeys and dumpkeys, closes: #694169.  Thank you
    for the patch, Samuel!
  * Drop the “Skipping font and keymap setup” message from /etc/init.d/kbd
    because it’s really somewhat silly to log what the script isn’t doing.
  * Use a canonical URL for the Vcs-Git: field.
  * Bump Standards-Version: to 3.9.4, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sun, 17 Feb 2013 19:37:26 +0100

kbd (1.15.3-9) unstable; urgency=low

  * Revert the build-dependency change towards gettext:any and let the buildds
    do their work again, closes: #670778.

 -- Michael Schutte <michi@debian.org>  Sun, 29 Apr 2012 09:43:38 +0200

kbd (1.15.3-8) unstable; urgency=low

  * Set debian/compat to 9 and build-depend on debhelper >= 9.
  * Support cross-building, closes: #670653.  Thanks to Colin Watson
    <cjwatson@ubuntu.com> for the patch.
    - Allow the gettext build-dep to be satisfied by a package of any
      architecture.
    - Use dh_auto_configure.
    - Explicitly set the host CC to cross-build the contrib binaries.
  * Trigger font setup when any of CONSOLE_FONT, CONSOLE_MAP, or FONT_MAP are
    present in /etc/kbd/config, closes: #647153.
  * Point Format: in debian/copyright to the 1.0 version of the
    machine-readable copyright spec.
  * Update manpages.diff: Minor fixes to the setleds(1) manual page, closes:
    #663252.  Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> for the
    patch.
  * Provide a no-op “status” option for /etc/init.d/kbd.
  * Bump Standards-Version: to 3.9.3, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sat, 28 Apr 2012 11:47:07 +0200

kbd (1.15.3-7) unstable; urgency=low

  * Use dpkg-buildflags to pass build options on to the configure
    script; build-depend on dpkg-dev >= 1.16.1 accordingly.
  * Set debian/compat to 8 and build-depend on debhelper >= 8.
  * Don’t depend on console-setup | console-common to break up a
    dependency loop.  The default configuration does not require any
    files from console-data (which is pulled in through console-common)
    or console-setup, so this should be a safe change.  Both packages
    are still alternatives in Recommends:.
  * Package relationship cleanup:
    - Drop minimum version from the console-data recommendation (the
      mentioned revision is from 2001).
    - Don’t Breaks:/Replaces: util-linux (relevant revisions before
      early 2001).
    - Don’t conflict with kbd-data, which hasn’t been around since
      Slink.
    - Get rid of all mentions of “open” (from the Slink era too).  This
      name is only provided by console-tools and kbd these days, which
      already conflict via console-utilities.  There also aren’t any
      dependencies on it in the archive.
  * Fix some deviations from DEP 5 in debian/copyright.
  * Rename patch openvt_error_handling to openvt and update it to not
    exit with a zero status code if there was an invocation error,
    closes: #642324.

 -- Michael Schutte <michi@debian.org>  Fri, 23 Sep 2011 22:54:08 +0200

kbd (1.15.3-6) unstable; urgency=low

  * Experimentally drop reset_vga_palette from /etc/init.d/kbd, closes:
    #637277.
  * Build for Architecture: linux-any to help clean up Not-For-Us.

 -- Michael Schutte <michi@debian.org>  Mon, 22 Aug 2011 20:57:00 +0200

kbd (1.15.3-5) unstable; urgency=low

  * Move away from topgit: Export the patches to debian/patches/ one
    last time and maintain them with quilt in the future.
  * Use the occasion to make the patch headers more DEP-3-y.
  * Add a manual page for setvtrgb(1) introduced in 1.15.3.
  * debian/copyright: List copyright holders for setvtrgb.c and set
    Format: to the frozen DEP URL.

 -- Michael Schutte <michi@debian.org>  Sat, 23 Jul 2011 11:50:09 +0200

kbd (1.15.3-4) unstable; urgency=low

  * Remove a superfluous call to wait() in openvt.c to propagate the
    exit code of the child process of “openvt -w”, closes: #630108.
  * Write and ship a manual page for the kbdinfo(1) utility introduced with
    1.15.3.

 -- Michael Schutte <michi@debian.org>  Sun, 12 Jun 2011 12:49:42 +0200

kbd (1.15.3-3) unstable; urgency=low

  * debian/rules clean: Force regeneration of loadkeys.c and
    loadkeys.analyze.c, closes: #629180, #629191.
  * Manually clean some .gmo files in po/.

 -- Michael Schutte <michi@debian.org>  Sat, 04 Jun 2011 15:28:44 +0200

kbd (1.15.3-2) unstable; urgency=low

  * New patch loadkeys_stdin, taken from upstream Git: A regression in
    the loadkeys program caused it to read no files at all, rather than
    stdin, when called without arguments.  This broke, for instance, the
    /etc/init.d/kbd script.
  * Point debian/copyright to the frozen revision of DEP 5, which is the
    one now shipped in debian-policy.

 -- Michael Schutte <michi@debian.org>  Fri, 03 Jun 2011 12:40:56 +0200

kbd (1.15.3-1) unstable; urgency=low

  * New upstream release.
    - Drop the compose_as_usual patch (merged upstream).
    - Includes Dustin Kirkland’s setvtrgb utility, closes: #617416; and
      kbdinfo, vaguely based on Julien Cristau’s VT mode query code,
      closes: #618573.
    - Reflect changes to the build system in debian/rules.
    - Spanish translations had to be dropped due to problems with the
      es.po file.
  * Upgrade Standards-Version to 3.9.2, no changes needed.
  * Point Vcs-* to anonscm.debian.org.

 -- Michael Schutte <michi@debian.org>  Wed, 25 May 2011 21:48:07 +0200

kbd (1.15.2-3) unstable; urgency=low

  * Bump Priority: to optional (while downgrading console-tools to extra),
    closes: #591146.
  * Change my e-mail address in Uploaders:, debian/copyright and patches.
  * Update debian/copyright format to the current revision of DEP-5.
  * Patch manpages:
    - Document that the -e switch requires openvt to be a session leader,
      closes: #610373.
    - Give in to lintian concerning the *superflous typo in mk_modmap(8).
  * Breaks: util-linux (<< 2.11) instead of conflicting with it, as per Policy
    7.6.1: This was because of kbdrate moving packages.

 -- Michael Schutte <michi@debian.org>  Sat, 19 Feb 2011 11:38:00 +0100

kbd (1.15.2-2) unstable; urgency=low

  * New patch compose_as_usual: Fix the Unicode conversion of the internal
    “compose as usual” table with “loadkeys -u”, closes: #600006.
  * Prefer console-setup over console-data and console-common.  This is part
    of a d-i related fix and helps avoid that both console-setup-udeb and
    console-data ask the user for their preferred keyboard layout (by simply
    not installing console-data by default).  Thanks to Julien Cristau,
    closes: #606186.
  * Package housekeeping:
    - Upgrade Standards-Version: to 3.9.1, no changes necessary.
    - Package-Type: no longer needs an XC- prefix.
    - Add ${misc:Depends} to kbd-udeb as well.

 -- Michael Schutte <michi@uiae.at>  Wed, 08 Dec 2010 00:04:20 +0100

kbd (1.15.2-1) unstable; urgency=low

  * New upstream release.
    - The vcstime and cast_align patches have been merged.  They are
      removed from the .debian.tar.gz.
    - Drop the install_exec patch; this problem has been fixed in this
      version’s build system.
  * Do not regenerate configure in debian/rules.
  * Minor changes to debian/copyright (most recent DEP 5 draft).
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Remove the Greek translation in gr.po.  The correct 639-1 code is
    “el”; el.po exists as a more recent version of gr.po.
  * Ship only selected files from the doc/ directory, as most files are
    outdated and useless to the vast majority of users.  Remove
    README.Euro and LISEZMOI.Euro from the debian/ directory.
  * Register the font-formats documentation with doc-base.
  * Convert debian/rules to the more idiomatic format with override_*
    targets and depend on debhelper >= 7.0.50.

 -- Michael Schutte <michi@uiae.at>  Sun, 25 Apr 2010 19:28:19 +0200

kbd (1.15.1-3) unstable; urgency=low

  * New patch vcstime: /dev/vcs or /dev/vcs0 may act as console memory
    devices.  Before, only the latter file was considered in vcstime, causing
    it to fail on recent systems.
  * Mention the possibility of having vcstime run by kbd.init in
    /etc/kbd/config.
  * kbd.init: Remove some pointless code in the vcstime stanza.
  * kbd.init: The X-Start-Before hack is no longer needed as all init scripts
    with a Should-Start on console-screen have added kbd, closes: #563608.

 -- Michael Schutte <michi@uiae.at>  Sun, 24 Jan 2010 19:50:42 +0100

kbd (1.15.1-2) unstable; urgency=low

  * New patch cast_align: Fix an FTBFS on some architectures caused by an
    alignment error after casting a (char *) to a (struct psf2_header *) which
    has members aligned to more than a byte, closes: #558492.  The patch has
    been imported from the kbd upstream VCS.

 -- Michael Schutte <michi@uiae.at>  Thu, 03 Dec 2009 19:03:22 +0100

kbd (1.15.1-1) unstable; urgency=low

  * New upstream release.
    - The auto_convert, compile_on_sparc, keysyms, and showconsolefont_spaces
      patches have been merged.  They are removed from the .debian.tar.gz.
  * This upload converts the package to the 3.0 (quilt) source format.  The
    build-dependency on quilt, the patch/unpatch logic in debian/rules and
    the debian/README.source file have been removed.
  * kbd.init: If Upstart is used, get TTY information from /etc/init/tty*.conf
    rather than /etc/inittab, closes: #549317.
  * New patch kbd_mode: Change the misleading “default (ASCII) mode” message
    in kbd_mode to the more correct “xlate (8-bit) mode”, closes: #546712.

 -- Michael Schutte <michi@uiae.at>  Tue, 24 Nov 2009 20:55:31 +0100

kbd (1.15-4) unstable; urgency=low

  * Rename the console-screen.kbd.sh init script to kbd and change its LSB
    Provides: header accordingly.  Until scripts from other packages add kbd
    to their {Required,Should}-Start: headers, use the X-Start-Before: feature
    and list reverse dependencies.  This should make it possible to replace
    console-tools by kbd when insserv is installed, closes: #542225, #541161.
  * Remove “.IX” lines from manual pages.  Current versions of groff don’t
    know the syntax they use, and most of them add no valuable information
    whatsoever, so removing them should not be a problem.
  * Restore config.h.in in debian/rules clean.  It is automatically amended
    during the build process.
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Michael Schutte <michi@uiae.at>  Wed, 09 Sep 2009 19:28:47 +0200

kbd (1.15-3) unstable; urgency=low

  * Fix an (as of yet unreported) regression introduced by the support of the
    composition of two UNUMBERS.
  * console-screen.kbd.sh: Add the X-Interactive LSB header to make sure the
    script runs on a real VT on insserv-assisted init, closes: #538434.

 -- Michael Schutte <michi@uiae.at>  Wed, 29 Jul 2009 09:57:22 +0200

kbd (1.15-2) unstable; urgency=low

  * Switch (back) to quilt, see debian/README.source.  TopGit is used to
    manage the patches on top of Git.
  * Revert the old read_keymaps_fmt patch to loadkeys/dumpkeys (auto-converts
    between K(KTYP, KVAL) and Unicode keysyms depending on the console mode)
    and replace it with a new one which has been merged upstream.  See #251550
    for an earlier discussion, closes: #524057.
  * Bump Standards-Version to 3.8.2.
  * Support Unicode compose tables, closes: #524907.
  * Save cat-id-tbl.c, analyze.c, loadkeys.c when building and restore them in
    debian/rules clean.
  * showconsolefont: Print adequate space chars, closes: #528357.  On recent
    kernels a direct-to-font space is needed if the console is in Unicode
    mode.
  * console-screen.kbd.sh: Slightly rephrase evals to avoid quirks in Vim’s
    syntax highlighting.  Remove the “kill -NAL” XSI-ism and replace it with
    “kill -s NAL”.
  * console-screen.kbd.sh: Mention console-setup when font setup is deferred,
    closes: #532139.
  * Update the information regarding hardwired scancode ranges in the
    setkeycodes(8) manpage, closes: #399531.  They don’t exist in recent
    kernels.
  * Replace “-” (hyphen) by “\-” (ASCII minus sign) in some manpages where
    command line options are mentioned.
  * Add support for Brl_dot9 and Brl_dot10, closes: #533065.  These keysyms
    are supported by Linux >= 2.6.23.  Thanks to Samuel Thibault
    <sthibault@debian.org> for the patch.

 -- Michael Schutte <michi@uiae.at>  Fri, 24 Jul 2009 13:00:49 +0200

kbd (1.15-1) unstable; urgency=low

  * New upstream release.
    - Adds translations for Danish, French, Swedish and Turkish.
    - Fail cleanly on Unicode keysyms >= 0xf000, closes: #500116.
    - Print an error message when calls to exec* functions fail, closes:
      #190387.  Patch proposed by Ian Jackson, thanks!
    - The historical information formerly found in CREDITS is now found in
      AUTHORS.
  * Change my e-mail address in debian/{control,copyright}.
  * Read /etc/environment sanely, closes: #506318.  Let the shell parse
    the locale configuration files instead of using a grep | tail | cut
    pipeline to avoid reading garbage.  This is the same as #364797 in
    console-tools which was subsequently fixed by the patch proposed in
    #382115.  Thanks to Colin Watson for the idea.
  * Revamp debian/rules to use debhelper 7; change control and compat
    accordingly.
  * Build-depend on flex and bison to generate analyze.c and loadkeys.c from
    analyze.l and loadkeys.y, respectively.
  * kbd_mode(1): Explain the -C option, closes: #508795.
  * Allow all Latin keysyms to be treated as “letter” in the sense of
    keymaps(5), closes: #514908.  Thanks to Frédéric Boiteux
    <fboiteux@free.fr> for the idea.
  * Point to console-data in the long description, like console-tools does.
  * Add ${misc:Depends}.

 -- Michael Schutte <michi@uiae.at>  Fri, 20 Feb 2009 17:52:16 +0100

kbd (1.14.1-4) unstable; urgency=medium

  * Read /etc/environment or /etc/default/locale earlier in the init script,
    closes: #486787.  This has caused UNICODE_MODE not to be set properly.
    Thanks to Stanislav Maslovski <stanislav.maslovski@gmail.com> for the
    patch.
  * Medium urgency upload because the former bug could have rendered kbd
    nearly useless for some.
  * unicode_start: Do not invoke setfont by default, closes: #443645.
  * Revert the console-screen.kbd.sh LSB header change from the previous
    revision, again closes: #483607.  Handling the original problem properly
    is considered insserv’s responsibility, see #474515.
  * openvt: Document the -f switch, closes: #487390.
  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Michael Schutte <m.schutte.jr@gmail.com>  Sun, 22 Jun 2008 12:45:38 +0200

kbd (1.14.1-3) unstable; urgency=low

  * Change the LSB header of /etc/init.d/console-screen.kbd.sh to provide the
    unique name console-screen.kbd, closes: #483607.  This avoids collisions
    when replacing console-tools with kbd (and vice versa).
  * Remove MIA developer Denis Barbier from Uploaders, closes: #480167.
  * Set /sys/module/vt/parameters/default_utf8 at bootup, closes: #478480.
    This enables openvt’ing consoles in Unicode mode depending on the system
    locale.
  * Don’t say “Setting console screen modes and fonts” when not setting fonts,
    to avoid confusing people.

 -- Michael Schutte <m.schutte.jr@gmail.com>  Fri, 30 May 2008 16:04:24 +0200

kbd (1.14.1-2) unstable; urgency=low

  * Initialize all consoles in console-screen.kbd.sh, not only the first one;
    closes: #443606.  This partially reverts a change done in 1.12-15 (see the
    third changelog entry for that version).
  * Adjust LSB headers of init script to update-rc.d params, closes: #476097.
  * debian/console-screen.kbd.sh: Don’t set fonts and keymaps if setupcon is
    present.  console-setup will run right afterwards, anyway.
  * Create symlinks for loadkeys and dumpkeys in /usr/bin for better
    compatibility with console-tools.  See #261801.

 -- Michael Schutte <m.schutte.jr@gmail.com>  Sat, 26 Apr 2008 16:04:57 +0200

kbd (1.14.1-1) unstable; urgency=low

  * Acknowledge changes from non-maintainer upload by Marc 'HE' Brockschmidt,
    closes: #459156.
  * New upstream version.
  * Removed now unnecessary build-dependencies on flex and bison.
  * Added myself to uploaders, closes: #446030
  * Remove debian/patches directory and build dependency on quilt.  Package
    maintenance now happens in a Git repository.
  * Make openvt pay attention to its child’s exit status.  Patch by Jim Paris,
    closes: #190386.
  * Avoid openvt messing up the child’s I/O caused by closing a standard file
    descriptor.  Patch by Jim Paris, closes: #190385.
  * Handle the CapsShift modifier understood by Linux kernels since 2.6.24.
    Patch by Samuel Thibault, closes: #452103.
  * Bump Standards-Version to 3.7.3.
  * Move dumpkeys and unicode_start to /bin.  This avoids problems when /usr
    is not yet mounted when /etc/init.d/keymap.sh (package console-common) is
    executed.  Thanks to Christian Perrier, Denis Barbier and others,
    closes: #261801.
  * Make upstream makefile not strip binaries to enable the nostrip build
    option, closes: #437248.
  * The Debian copyright file is now available in machine-readable format.
    The passage about kbd’s history was removed from it; upstream’s CREDITS
    file is shipped instead, as it includes the same information.
  * Added Vcs-Git and Vcs-Browser fields to debian/control.

 -- Michael Schutte <m.schutte.jr@gmail.com>  Sat, 05 Apr 2008 11:46:56 +0200

kbd (1.12-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with /bin/sh -> dash by using cat to create conftest.c files,
    instead of relying on echo doing the right thing [tm]. (Closes: #459156)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 09 Mar 2008 10:44:02 +0100

kbd (1.12-19) unstable; urgency=low

  * Apply a patch by Colin Watson to add setfont to the udeb.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 02 Jul 2007 15:14:32 +0300

kbd (1.12-18) unstable; urgency=low

  * Add me to uploaders
  * Add console-setup as an alternative in the dependencies on
    console-common and console-data.  Thanks to Martin-Éric Racine,
    closes: #398439.
  * Search for an installed font in unicode_start since now LatArCyrHeb-16
    may not be installed.
  * Some changes in /etc/init.d/console_screen.kbd.sh:
    - run unicode_{start,stop} before setfont.  Give a font argument to
      unicode_start so the font doesn't change twice. Thanks to Mattia,
      closes: #421390;
    - fix the per-VC font load;
    - (re)enable the per-VC ACM load;
    - for consistency use CONSOLE_MAP_vcN instead of APP_CHARSET_MAP_vcN
      and FONT_MAP_vcN instead of CONSOLE_MAP_vcN;
    - support also the config variables in console-tools style
      (APP_CHARSET_MAP, SCREEN_FONT, SCREEN_FONT_MAP);
    - do not run unicode_start if CONSOLE_MAP (or CONSOLE_MAP_vcN) is defined;
    - run unicode_start/unicode_stop only on consoles where we load a font;
    - do not use static paths such as /usr/bin/setfont;
    - add description and short description in the LSB header.
  * Use more substantial example for /etc/kbd/config based on the config
    file of console-tools.  Thanks to Jonny, closes: #410553.
  * Install kbd_mode and setfont in /bin rather than in /usr/bin so the
    administrator be able to set up the font in case of emergency and use
    the keyboard in utf-8 mode.
  * Add an udeb with loadkeys and kbd_mode.  A patch was provided by Frans
    Pop and was modified to give a -Os option to the compiler.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 14 May 2007 18:34:54 +0300

kbd (1.12-17) unstable; urgency=low

  * debian/rules: Drop bashisms.  Closes: #379500  Thanks Julien Danjou

  * debian/control: Drop versioned dependencies against dpkg and sysvinit,
    these ttansitions are over for a long time.  As these packages are of
    priority required, these dependencies can be removed.
    Closes: #386131  Thanks martin f krafft

  * debian/control: console-data in oldstable satisfies Recommends, so
    remove this version too.

  * debian/console-screen.kbd.sh: Add lsb logging, see #384785

 -- Denis Barbier <barbier@debian.org>  Tue,  5 Sep 2006 23:05:44 +0200

kbd (1.12-16) unstable; urgency=low

  * debian/patches/sparc-compile.diff: New patch to fix build failure on sparc.

  * debian/patches/kbdrate_sparc.diff: Drop this patch, it is no more needed.
    Thanks Samuel Mimram for testing these changes on Sparc.

  * debian/patches/quiltrc: Call 'quilt --quiltrc=debian/patches/quiltrc'
    in debian/rules so that the same quilt configuration file is used under
    all circumstances.

 -- Denis Barbier <barbier@debian.org>  Thu, 20 Jul 2006 22:36:55 +0200

kbd (1.12-15) unstable; urgency=low

  * debian/patches/getfd.diff: New patch, the getfd function now tries to
    open /proc/self/fd/0, so that kbd_mode can be used to query or modify any
    TTY by running kbd_mode < /dev/ttyN.

  * debian/console-screen.kbd.sh: Fix LSB runtime info, as reported in #361051.

  * debian/console-screen.kbd.sh: When this script is run, only the first TTY
    is created, so all other TTYs have no settings.  A workaround is to add
      u8:23:once:/etc/init.d/console-screen.kbd.sh reload
    in /etc/inittab so that this script is run again after TTYs are allocated.
    If console detection does not work as expected, LIST_CONSOLES can be set
    in /etc/kbd/config, it contains a space seperated list of TTY numbers to
    be modified by this script.  WARNING: this is still experimental!

  * debian/patches/mapscrn-acm.diff: Let mapscrn also read ACM files, since
    some fonts shipped by console-data have an .acm suffix.  Closes: #377579
    Thanks Theppitak Karoonboonyanan

  * debian/control: Bump Standards-Version: 3.7.2

 -- Denis Barbier <barbier@debian.org>  Wed, 19 Jul 2006 21:24:37 +0200

kbd (1.12-14) unstable; urgency=low

  * debian/patches/read_keymaps_fmt.diff: When -m flag is set, do not try to
    open a file descriptor on the console so that loadkeys -m can be used
    under X.  See #341956.

  * debian/patches/read_keymaps_fmt.diff: Let add_number() return its
    argument if it corresponds to an unknown symbol, because Unicode symbols
    are not always defined (and may appear within Unicode private range,
    anyway).  See #312844.

  * debian/patches/braille.diff: New patch, to add braille keysyms, introduced
    in Linux 2.6.17-rc1.  Closes: #360813  Thanks Samuel Thibault

  * debian/patches/thai.diff: New patch, to add tis-620 charset for Thai.
    See #360592  Thanks Theppitak Karoonboon

  * debian/README.Debian: Rewrite this documentation.
    Closes: #328783  Thanks David Liontooth

  * debian/control: Change Maintainer field to pkg-kbd-dev@l.a.d.o, and
    add myself to Uploaders.

  * debian/console-screen.kbd.sh: Check for locale variables in both files
    /etc/environment and /etc/default/locale.

  * Move openvt and chvt into /bin.  Closes: #320571  Thanks Tim Connors

  * Apply changes from console-tools:
    + debian/console-screen.kbd.sh:
      - Include LSB-formatted Init dependency info
      - Remove all exit statements from /etc/init.d/console-screen.kbd.sh.
      - Ensure the correct font, unicode_mode are set for all VTs.
      - Make vcstime work under udev.
      - Read /etc/kbd/config.d for the benefit of fonty, etc. integration.
      - Go into unicode mode if locale is in UTF-8.
      - Added support for LED setting and key remapping.
    + debian/patches/fgconsole.diff: New patch, to add "--next-available"
      option to fgconsole to discover the next unallocated VT.

 -- Denis Barbier <barbier@debian.org>  Wed, 29 Mar 2006 21:39:02 +0200

kbd (1.12-13) unstable; urgency=low

  * debian/patches/fedora-kbd-1.12-alias.patch: there are some C aliasing
    violations, and setfont misbehaves in 1.12-12 because it has been
    compiled with GCC 4 whereas prior versions were compiled with GCC 3.
    Thanks Emanuele Rocca for this report, and Fedora folks for this patch.
    Closes: Bug#322165

 -- Denis Barbier <barbier@debian.org>  Tue,  9 Aug 2005 23:37:18 +0200

kbd (1.12-12) unstable; urgency=low

  * debian/control: drop dependency on debconf, templates have been
    removed before woody release.
  * debian/control: Bump Standards-Version: 3.6.2
  * splitfont.1: Fix formatting typo

 -- Denis Barbier <barbier@debian.org>  Sat,  6 Aug 2005 12:47:22 +0200

kbd (1.12-11) unstable; urgency=medium

  * unicode_start/stop: Replace echo -e by printf commands.
    Closes: #305588 Thanks, Jan Braun
  * Update debian/watch file.

 -- Denis Barbier <barbier@debian.org>  Thu, 21 Apr 2005 00:42:22 +0200

kbd (1.12-10) unstable; urgency=medium

  * Fix quilt usage in debian/rules which caused FTBFS.
    Closes: #282698 Thanks, Kurt Roeckx.

 -- Denis Barbier <barbier@debian.org>  Tue, 23 Nov 2004 23:33:08 +0100

kbd (1.12-9) unstable; urgency=medium

  * src/unicode_start src/unicode_stop:  Do not run kbd_mode if not
    on a console, this can break X.  Checks are copied from
    console-tools.  Closes: #281305
    Thanks John R. McPherson for the bugreport and Alastair McKinstry
    for investigating this issue and providing a fix.
  * Urgency set to medium because this is a RC bug.
  * debian/control: Use quilt instead of dpatch to handle patches,
    and rename patches.

 -- Denis Barbier <barbier@debian.org>  Fri, 19 Nov 2004 21:45:41 +0100

kbd (1.12-8) unstable; urgency=low

  * debian/patches/90_read_keymaps_fmt.dpatch:  When keyboard is in UTF-8
    mode, '+' sign before ASCII characters was discarded.
    Thanks Roger Leigh and Darren Salt.

 -- Denis Barbier <barbier@debian.org>  Thu, 30 Sep 2004 21:58:21 +0200

kbd (1.12-7) unstable; urgency=low

  * console-screen.kbd.sh:  Variable name in config file is
    CONSOLE_FONT and not SCREEN_FONT, so use the right variable
    in this script.  Closes: #271796  Thanks, Emanuele Rocca

 -- Denis Barbier <barbier@debian.org>  Sat, 18 Sep 2004 22:34:41 +0200

kbd (1.12-6) unstable; urgency=low

  * debian/patches/30_kbdrate_sparc.dpatch:  Really fix compilation on sparc.

 -- Denis Barbier <barbier@debian.org>  Tue,  3 Aug 2004 07:52:58 +0200

kbd (1.12-5) unstable; urgency=low

  * debian/patches/30_kbdrate_sparc.dpatch:  Fix compilation on sparc,
    the kbd_repeat struct has no 'period' member.
  * debian/patches/20_showconsolefont.dpatch:  Renamed into
    debian/patches/20_main_argc.dpatch and fix more programs.
  * debian/patches/10_uni_suffix.dpatch:  console-data puts sfm files
    into /usr/share/consoletrans, so kbd has to look into this directory
    instead of /usr/share/unimaps.
  * debian/patches/90_read_keymaps_fmt.dpatch:  Minor changes.

 -- Denis Barbier <barbier@debian.org>  Mon,  2 Aug 2004 00:33:11 +0200

kbd (1.12-4) unstable; urgency=low

  * kbd 1.12-2 did not reach archives, so changes are generated with
    -v1.12-1 flag.
  * debian/patches:  Rename patches:
           01loadkeys           -> 10_kmap_suffix
           02paths              -> 10_defkeymap
           03loadunimap         -> 10_uni_suffix
           04pomakefile         -> 01_po_makefile
           05manpages           -> 02_man_pages
           06kbdrate            -> 30_kbdrate_notty
           07showconsolefont    -> 20_showconsolefont
           08loadkeys           -> 90_read_keymaps_fmt
           09canonicalsyms      -> 20_canonical_syms
           10charsets0          -> 50_charsets0
  * debian/patches/90_read_keymaps_fmt.dpatch:
    This patch is reorganized, mostly in src/ksyms.c; the prefer_unicode
    variable is resurrected to replace ioctl calls.  This means that
    src/getfd.c does no more need to be patched, and -u flag is active
    again.

 -- Denis Barbier <barbier@debian.org>  Sun,  1 Aug 2004 19:22:28 +0200

kbd (1.12-3) unstable; urgency=low

  * debian/patches/07showconsolefont.dpatch:
    showconsolefont choke on -C flag.
  * debian/patches/08loadkeys.dpatch:
    Apply patches sent to #251550 so that loadkeys sets keuboard maps
    depending on current mode and not on the format used to write keymap
    files.
  * debian/patches/09canonicalsyms.dpatch:
    Different symbolic names are used for the same Unicode character,
    which may confuse loadkeys (see #260758).
  * debian/patches/10charsets0.dpatch:
    In order to find the right symbol name even when some symbols have
    several different names, charsets[0] stores code<->name mapping for the
    current charset.

 -- Denis Barbier <barbier@debian.org>  Sat, 31 Jul 2004 22:15:04 +0200

kbd (1.12-2) unstable; urgency=low

  * New maintainer, approved by Wartan Hachaturow.
  * debian/control: flex-old is an alternative for flex in Build-Depends.
  * debian/control: debian/rules uses debhelper 4. so build-depend on it.
  * debian/control: Fix package description to make lintian happy.
    Also remove mentions of openvt and kbdrate, these programs are part of
    kbd for a very long time.
  * debian/control: Bump Standards-Version: 3.6.1, no changes needed in
    packaging.
  * debian/README.Debian: Remove the notice about showfont, it has been
    renamed upstream into showconsolefont.
  * debian/rules: Build and install contrib/codepage, contrib/vcstime,
    src/screendump, src/setlogcons and src/setvesablank programs.
  * debian/rules: Install programs to the same location as in console-tools,
    in particular fgconsole is moved from /usr/bin/fgconsole to
    /bin/fgconsole.
  * debian/patches/04pomakefile.dpatch:
    po/Makefile was patched instead of po/Makefile.in in original tarball.
  * debian/patches/05manpages.dpatch:
    These programs are installed, so copy their manual pages too:
       man/man1misc/codepage.1 man/man1misc/screendump.1
       man/man8misc/mk_modmap.8 man/man8misc/setvesablank.8
    Steal setlogcons.8, splitfont.1 and vcstime.8 from console-tools.
    Closes: #200106
    All programs shipped by kbd are now documented, so closes: #9697
    as well.  Thanks Alastair McKinstry for writing this documentation.
  * debian/patches/06kbdrate.dpatch:
    Kbdrate must not fail when not connected to a TTY.
    Closes: #212770  Thanks Frederic Gaus for the bugreport and its fix.
  * debian/console-screen.kbd.sh: $0 argument was tested instead of $1,
    and thus setfont was called in prerm, which may prevent kbd removal
    if setfont fails for any reason.  The console-screen.sh script from
    console-tools is much more complete, so replace its content by this
    script, with some changes.
  * debian/kbd.postinst: Since kbd depends on console-data and does not
    ship keymap files, its postinst must not run install-keymap.
    Having a more robust console-screen.kbd.sh script and kbd.postinst
    no longer running setfont makes upgrades and removals much smoother.
    Closes: #102074, #208767, #212325
  * debian/kbd.postrm: Configuration files are automatically removed on
    purge, so this file is useless.
  * debian/changelog: Remove Emacs settings.
  * debian/copyright: Add a link to GPL text.
  * Lintian now only reports no-manpage-in-correct-directory warnings,
    but program locations must be checked with console-tools maintainer.

 -- Denis Barbier <barbier@debian.org>  Mon, 26 Jul 2004 23:14:33 +0200

kbd (1.12-1) unstable; urgency=low

  * Finally, new upstream version. (Closes: #170715)
  * Now non-native. (Closes: #102411)
  * Conflicts with util-linux now (better late, than
    never). (Closes: #91848, #91839)
  * kbd now uses dpatch.
  * Bumped standarts-version to 3.5.9.
  * Fixed copyright file to include new COPYING from upstream.

 -- Wartan Hachaturow <wart@debian.org>  Tue, 27 Jan 2004 13:46:07 +0300

kbd (1.06-2) unstable; urgency=low

  * Changed Maintainer: field to wart@debian.org
  * Applied patch by Ben Collins, (Closes: #110616)

 -- Wartan Hachaturow <wart@debian.org>  Wed, 30 Jan 2002 14:01:28 +0300

kbd (1.06-1) unstable; urgency=low

  * New upstream release.
  * Reapplied patches - looks like I forgot to send them upstream...
  * Moved added files to debian/ dir.

 -- Yann Dirson <dirson@debian.org>  Sun, 20 May 2001 02:39:19 +0200

kbd (1.05-4) unstable; urgency=high

  * Run script for which we rely on ouput under LC_ALL=POSIX (Closes:
    #94019).

 -- Yann Dirson <dirson@debian.org>  Fri, 20 Apr 2001 00:43:08 +0200

kbd (1.05-3) unstable; urgency=medium

  * Install kbdrate in /sbin instead of /usr/bin, and version the
    replacement of util-linux (Closes: #88868).

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Mar 2001 12:48:58 +0100

kbd (1.05-2) unstable; urgency=low

  * Added clarifying message to postinst.
  * Stop adding a kbdconfig.8 link to undocumented.
  * Added to build-deps: bison, flex, gettext (Closes: #88091).

 -- Yann Dirson <dirson@debian.org>  Fri,  2 Mar 2001 17:47:06 +0100

kbd (1.05-1) unstable; urgency=low

  * The "Duplicate any bugs introduced in console-tools before they had a
    chance to be reported" release.
  * New upstream release:
  ** New programs: kbdrate outpsfheader psfxtable setlogcons.
  ** iso-8859-15 support (Closes: #56241).
  * Replaces util-linux because we now provide kbdrate.
  * Re-applyed a couple of patches:
  ** Support for console-data suffixes (.kmap, .sfm).
  ** Do not have ld strip binaries.
  ** Fixed handling of DESTDIR to something more standard (and which does
    not forget loadkeys location).
  ** re-added fonts.magic and Euro READMEs.
  * Added build-depends.
  * Added open compat symlink to openvt. Now provides/conflicts with old
    "open" package.
  * Updated for use with console-common, using console-tools 0.2.3-19 as a
    model (Closes: #57196):
  ** Updated relationships with other packages.
  ** Removed kbdconfig, install-keymap, and init.d/keymaps.sh.
  ** Updated postinst.
  ** Removed preinst (Closes: #87858).
  ** Removed debconf templates.
  ** Removed all traces of the ancient times when we shipped kbd-data.
  * Alcove earned to be copyright holder by providing me with time to work
    on this package; mentionned this in the copyright file.
  * Updated upstream location in copyright file.

 -- Yann Dirson <dirson@debian.org>  Wed, 28 Feb 2001 15:44:44 +0100

kbd (0.99-11) unstable; urgency=low

  * Behave correctly in preinst if any dir whose contents should be moved
    is empty (Closes: #61707).
  * Behave correctly in preinst if usr/local/share/keytables exists and
    /usr/local/share/keymaps does not (Same as #60917).
  * Replaced interpreter path in fix_bs_and_del example to match real path
    to loadkeys (#60073).

 -- Yann Dirson <dirson@debian.org>  Mon, 10 Apr 2000 02:12:10 +0200

kbd (0.99-10) unstable; urgency=high

  * Upload to woody - I would have liked to fix more
    things, but potato-only upload broke things in woody.
  * Reverted -9 changes for woody.

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Feb 2000 23:22:46 +0100

kbd (0.99-9) frozen; urgency=low

  * Disable debconf support for potato; this is needed together with
    console-data_1999.08.29-11 which fixes 3 RC bugs in potato.  This
    includes:
    - comment out debconf stuff in postinst and preinst.
  * templates file was not installed !  Added a commented out line in
    debian/rules that would do that if not commented out, so that it does
    not get forgotten in woody.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Feb 2000 23:16:26 +0100

kbd (0.99-8) unstable; urgency=low

  * Added version on console-data dep.
  * Fallback to kbdconfig whenever db_get fails (Closes: #53008).

 -- Yann Dirson <dirson@debian.org>  Sat, 18 Dec 1999 16:53:15 +0100

kbd (0.99-7) unstable; urgency=low

  * Include shared/keymap/keymap_filename in templates file, so that
    postinst does not fail when console-data is not there yet (Closes:
    #52562 and others).

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Dec 1999 21:49:38 +0100

kbd (0.99-6) unstable; urgency=medium

  * Use .kmap extension when looking for default keymap, to match the
    results of kbdconfig (Closes: #47795, #50431).
  * Rename (in preinst) an existing default .map file as .kmap if no .kmap
    is here yet.
  * Sync'ed preinst with bugfixes from console-tools.
  * Also sync'ed postinst for consistency.
  * Import console-tools keymap when reverting to kbd (who does that ?).
  * Use __sparc__ define where relevant (Closes: #50023).
  * Debconf support for console-data keymaps.

 -- Yann Dirson <dirson@debian.org>  Tue, 30 Nov 1999 00:32:58 +0100

kbd (0.99-5) unstable; urgency=low

  * Fixed Dependencies again :(

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Oct 1999 17:11:06 +0200

kbd (0.99-4) unstable; urgency=HIGH

  * Changed default keymap names to use .kmap extension.
  * Depends on console-data, instead of only Recommending it (Closes:
    #47460, #47472, #47473, #47481, #47504).  Thanks to Thomas Quinot for
    the diagnostic.
  * Added a comment note in kbdconfig about the need this script has for a
    data package to be installed when it is ran.
  * Get rid of old kludges in favor of clean and readable syntax for some
    tests in kbdconfig.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Fri, 15 Oct 1999 23:33:09 +0200

kbd (0.99-3) unstable; urgency=low

  * Added .trans to "screen maps" (Font-to-Screen Maps, aka FCM) suffix
    list, so that it can use those from console-data.
  * Moved config conffile into debian/conffiles.d/ to avoid name conflict
    with debconf support in debhelper.
  * Moved /usr/doc to /usr/share.
  * Removed postinst fixups of pre-hamm unstable breakages.
  * Removed predends support check from preinst.
  * Do not install spawn_* any more.
  * Do not install /var/lib/kbd/ - use /var/state/misc/ instead (directory
    not used, however).
  * Fixed postinst about default keymap file handling (still checked for
    old .map extension).

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Oct 1999 00:46:34 +0200

kbd (0.99-2) unstable; urgency=medium

  * Fixed kbdconfig to see .kmap files.
  * Fixed typos in kbdconfig messages.
  * Fixed kbdconfig to correctly handle keymap trees with several keymaps
    with the same name in different directories.
  * Conflict with kbd-data (kbdconfig now ignores the .map suffix).
  * Added missing quotes around shell wildcards in kbdconfig (Closes:
    Bug#41069).
  * Made /etc/init.d/console-screen.kbd.sh do nothing when called with
    "stop" as parameter.
  * Removed my dh_installinit as new one includes needed feature.
  * Corrected upstream source URL in copyright file.
  * Install manpages in /usr/share to comply with FHS (now lintian
    complains).
  * Bumped Standards-Version to 3.0.0.

 -- Yann Dirson <dirson@debian.org>  Thu, 22 Jul 1999 23:18:32 +0200

kbd (0.99-1) unstable; urgency=low

  * New upstream version.
  * Priority: extra, Section: utils.
  * Taught about console-tools suffixes (.kmap, .sfm)
  * Do not provide kbd-data any more, use console-tools-data instead.
  * Use Recommends instead of Depends for -data package (Fixes:
    Bug#30219).
  * Moved rc.boot script to init.d as console-screen.sh (Fixes:
    Bug#32435, Bug#32103). Use a hacked dh_installinit to allow multiple
    init.d scripts.
  * Update kbdconfig script to 1999.06.03.

 -- Yann Dirson <dirson@debian.org>  Fri,  4 Jun 1999 01:29:12 +0200

kbd (0.97-1) unstable; urgency=low

  * New upstream version.
  * Added back pt.map from 0.96a as pt-old.map; pt-latin1.map is a fixed
    version of pt2.map.
  * Added back many data files from 0.96-a not yet forwarded upstream
    (seems like I forgot about quite a lot of them !)
  * Fixed i386/include/euro.map to use AltGr, not Alt.
  * Do not install M$-word (yes !) file n474.doc.
  * Upstream now names .psf files with unicode table .psfu files.  This
    has no technical ground, and will break installs where people
    specified the full name for a font file.  Thus we install them as .psf
    like we always did.
  * Replaces: open instead of Suggesting: it because openvt is now part
    of kbd.

 -- Yann Dirson <dirson@debian.org>  Wed, 17 Feb 1999 22:07:01 +0100

kbd (0.96a-13) unstable; urgency=low

  * (Re-)included other-latin0.inc from EURO.tgz.
  * Minor fixes to debian/rules.
  * Included ro.kmap (Romanian ?) and sr.kmap (Serbian) from
    console-tools.rpm, thanks to Jakub Jelinek).
  * Install .desc files in the correct locations, so that kbdconfig gives
    meaningfull messages when navigating the keymaps tree (discovered when
    reading report for Bug#32338 ;).
  * Fixed kbdconfig not to remove the just-created empty default.map so
    that it really knows on upgrades when the admin already told that no
    keymap should be loaded (discovered when looking for Bug#32338).
  * Do not run "loadkeys -d" in kbdconfig when a user tells that no keymap
    should be loaded.  Print a message instead saying that if there is
    already a keymap loaded, it cannot be unloaded (Fixes: Bug#32338).

 -- Yann Dirson <dirson@debian.org>  Fri,  5 Feb 1999 00:01:35 +0100

kbd (0.96a-12) unstable frozen; urgency=low

  * Included slovak (sk) keymaps from Miroslav Vasko.
  * Included ukrainian (ua) keymap from Vladimir N.Velychko.
  * Updated fr-latin0.map from euro-patch 1.4 (Fixes: Bug#30793).

 -- Yann Dirson <dirson@debian.org>  Wed,  6 Jan 1999 22:48:58 +0100

kbd (0.96a-11) unstable frozen; urgency=low

  * Changed mechanism to install uuencoded new binary files in
    debian/rules, so that they get actually installed (thanks to
    Laurent Bonnaud for signaling)

 -- Yann Dirson <dirson@debian.org>  Wed,  2 Dec 1998 22:45:20 +0100

kbd (0.96a-10) unstable frozen; urgency=low

  * Euro symbol support (Fixes: Bug#29604): included latin0 fonts
    (heights 08, 10, 12, 14, 16), fr-latin0 map from
    ftp://ftp.freshmeat.net/pub/euro-patch/EURO.tgz.
  * Included other-latin0.inc, named .map in EURO.tgz.
  * Included README.Euro (and french version LISEZMOI.Euro) from the
    same archive.
  * Passed lintian 0.9.3.

 -- Yann Dirson <dirson@debian.org>  Mon, 23 Nov 1998 21:55:24 +0100

kbd (0.96a-9) unstable frozen; urgency=medium

  * Reverted init.d script not to try to save keymap on boot.  This
    needs to be worked on more than I thought, I'll delay this for
    potato.  Also replaced /usr/bin/dirname invocation with pure shell
    syntax (Unfixes: Bug#27998) (Fixes: Bug#29477, Bug#29560, and
    surely several others to be reported before it gets installed).
  * Bumped kbdconfig's version number (should have been done in -8).

 -- Yann Dirson <dirson@debian.org>  Tue, 17 Nov 1998 20:20:15 +0100

kbd (0.96a-8) unstable frozen; urgency=low

  * Have init.d script save kernel keymap in /var/lib/kbd/ before
    loading, so that kbdconfig can restore a proper keymap on archs
    other than i386 and sparc (Fixes: Bug#27998).  This saved keymap
    is deleted on reboot/halt to cope with changes in the builtin
    keymap.  Documented this behavour in README.Debian.
  * Added lat2u-16.psf and lat2u.uni from Szalay Attila (Fixes:
    Bug#29012).
  * Do not install obsolete atari-uk-falcon.map, which changed its
    name.

 -- Yann Dirson <dirson@debian.org>  Mon,  9 Nov 1998 22:30:38 +0100

kbd (0.96a-7) unstable frozen; urgency=low

  * Moved UTF examples into utf/ subdir (Fixes: Bug#27305, Bug#27898).
  * Went to ftp://ftp.uni-erlangen.de/pub/Linux/680x0/bin/system/keymaps/
    (Fixes: Bug#27354):
  ** Updated amiga-de.map.
  ** Added amiga-{es,fr,it,se,sg}.map.
  ** Added atari-de-emacs.map.
  * Fixed amiga-de and amiga-us keymaps for Backspace/Delete issues -
    patch by Andre Heynatz (Fixes: Bug#26867).
  * Added pc-dvorak-latin1.map from Vincent Renardias (Fixes:
    Bug#26676).

 -- Yann Dirson <dirson@debian.org>  Mon,  2 Nov 1998 21:40:10 +0100

kbd (0.96a-6) unstable; urgency=low

  * Fixed example CONSOLE_MAP in config file.  Added long comment
    about this parameter (Fixes: Bug#26228).
  * Redirected mv error output to /dev/null in kbd.preinst - error
    status was already explicitely ignored (Fixes: Bug#26388).
  * Create an empty /etc/kbd/default.map when NONE is asked, so that
    the kbdconfig is not run again and again on upgrade - this
    question will be asked one last time to be sure, though ;) (Fixes:
    Bug#25449).
  * Updated atari keymaps from Roman Hodek (Fixes: Bug#25424).
  * Replaced all obsolete uses of /dev/console by /dev/tty0 (Fixes:
    Bug#25239).
  * Corrected soft-hyphen char in vim-compose-latin1.inc (Fixes:
    Bug#26020).
  * Included sundvorak.map from <mward@wolf.hip.berkeley.edu>.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Sep 1998 22:13:42 +0200

kbd (0.96a-5) unstable; urgency=medium

  * Drop debian/dh_compress and require debhelper 0.99 to build
    (Fixes: Bug#24046).
  * Cleared kbdconfig from `function' and `{,}' bashisms; changed
    interpreter back to /bin/sh (Fixes: Bug#24405).
  * Include mac-fr2-ext keymap (Fixes: Bug#24790).
  * Allow kbdconfig to run when not root if env var ALLOWNOROOT is
    set.
  * Use ${variable} syntax instead of $(variable) in debian/rules.
  * Install dotfiles in keymaps dir from debian/ dir, instead of using
    the diff to place them in source tree.

 -- Yann Dirson <dirson@debian.org>  Mon, 27 Jul 1998 19:17:26 +0200

kbd (0.96a-4) unstable; urgency=medium

  * Have postinst script remove old buggy '/etc/rcS.d/S??keymaps.sh'
    symlink with question marks in the filename, which made postinst
    obscurely break (Fixes for slink: Bug#20935, Bug#21109, Bug#23639).

 -- Yann Dirson <dirson@debian.org>  Fri, 19 Jun 1998 13:10:19 +0200

kbd (0.96a-3) unstable; urgency=low

  * Fixed kbdconfig wrt testing and immediately loading a keymap
    (fixed do_preserving_keymap()).
  * New keymaps i386/qwerty/ru-{ms,yawerty} (Fixes: Bug#13758).
  * Added another "Control_underscore" to "keycode 12" line (Fixes:
    Bug#22914).
  * Do not install the kbd FAQ/HOWTO, already in doc-linux (Fixes:
    #22915).
  * Include vim-compose-latin1 from J.H.M.Dassen, in i386/include
    directory, to make it possible to compose all chars from the
    latin1 charset (Fixes: Bug#9782 for slink) - forwarded upstream.

 -- Yann Dirson <dirson@debian.org>  Mon, 15 Jun 1998 14:15:50 +0200

kbd (0.96a-2) unstable; urgency=low

  * Moved arch-indep data files into kbd-data package.
  * kbdconfig: transform default.map into a standalone one
    (ie. include-less and such) before installing - fixes problem with
    mounted /usr/share/.
  * Fixed debian/rules regarding "build-stamp" file.
  * Source package includes a modified dh_compress based on 0.88 for
    proper operation.

 -- Yann Dirson <dirson@debian.org>  Mon,  1 Jun 1998 14:43:12 +0200

kbd (0.96a-1) unstable; urgency=low

  * New upstream release (Fixes: Bug#22661, Bug#22753, Bug#22921).
  * Changed kbdconfig not to strip final .gz when invoking loadkeys
    (would have fixed Bug#22661 if 0.96a didn't fix it already).
  * Made gencontrol use -isp.
  * Corrected loadkeys.1 and dumpkeys.1 to refer to /usr/share/, not
    /usr/share/kbd/.
  * Updated maintainer address and source URL in "copyright" and
    "watch" files.

 -- Yann Dirson <dirson@debian.org>  Sun, 31 May 1998 00:56:35 +0200

kbd (0.96-3) unstable; urgency=low

  * Removed "-s" from LDFLAGS.
  * Have binaries look in /usr/share/, not /usr/lib/kbd/.
  * Fixed init.d script to accomodate for new filename-resolution
    mechanism.
  * Changed kbdconfig to behave correctly with navigation using "..",
    because files in /usr/local/ were not seen afterwards.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 May 1998 10:49:25 +0200

kbd (0.96-2) unstable; urgency=low

  * Oops, forgot to (un)comment debugging lines in kbdconfig, which
    broke when installed.

 -- Yann Dirson <dirson@debian.org>  Fri, 15 May 1998 22:17:03 +0200

kbd (0.96-1) unstable; urgency=low

  * New upstream version:
  ** New keymaps hierarchy
  ** New keymaps for modularization
  ** Compressed fonts
  ** iso-8859-9 handling
  ** new option -a to showkey
  * Misc debian/rules improvements.
  * Changed kbdconfig to use the new keymap hierarchy - added
    .toplevel and .desc files in hierarchy for use by kbdconfig.
  * Made preinst script rename /usr/local/share/keytables/ to keymaps/
    if it exists.
  * Updated Standard-Version to 2.4.1 (no particular changes).

 -- Yann Dirson <dirson@debian.org>  Fri, 15 May 1998 19:11:49 +0200

kbd (0.95-14) frozen unstable; urgency=low

  * Changed example font in config file from 8-point to 16-point
    (Fixes: Bug#21696).
  * Uploading -13 failed.

 -- Yann Dirson <dirson@debian.org>  Mon, 27 Apr 1998 12:19:59 +0200

kbd (0.95-13) frozen unstable; urgency=low

  * Added "ARCH=..." setting to make invokations that missed them
    (Fixes: Bug#21032).
  * Fixed possible file-in-tmp security hole in kbdconfig (from Topi
    Miettinen - should not have shown with current kbd, however).
  * shortened decision-making of building getkeycodes, setkeycodes and
    resizecons (Fixes: Bug#21557).

 -- Yann Dirson <dirson@debian.org>  Fri, 24 Apr 1998 15:11:03 +0200

kbd (0.95-12) frozen unstable; urgency=low

  * Really provide mac-us-{std,ext}.map from James Troup (Fixes:
    Bug#18704 - was already closed).

 -- Yann Dirson <dirson@debian.org>  Wed,  8 Apr 1998 20:22:33 +0200

kbd (0.95-11) frozen unstable; urgency=low

  * Remove obsolete bo symlinks from /usr/lib/kbd/ into /usr/share/
    (Fixes: Bug#20418, Bug#20732).
  * Do not display confusing "Removing..." message when nothing to
    remove.
  * Restored suggestion of package "open", that had mysteriously
    disappeared.
  * Provides/Conflicts with console-utilities for cooperation with
    console-tools.
  * init script is now generated from the same init.in as
    console-tools.
  * Included contributed keymap croatian.map from Alen Zekulic
    <azekulic@fesb.hr>.

 -- Yann Dirson <dirson@debian.org>  Mon,  6 Apr 1998 09:52:15 +0200

kbd (0.95-10) frozen unstable; urgency=low

  * Fixed potential problems with /tmp/selection.pid (patch from
    James Troup, Fixes: Bug#20211).

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Mar 1998 22:24:32 +0100

kbd (0.95-9) frozen unstable; urgency=low

  * Don't try any more to convert obsolete link in postinst (too
    error-prone), and just remove/replace them (ie. force priority 05,
    which should not hurt anyone) (Fixes: Bug#20176).

 -- Yann Dirson <dirson@debian.org>  Tue, 24 Mar 1998 23:30:14 +0100

kbd (0.95-8) frozen unstable; urgency=low

  * Re-activated obsolete link convertion (Fixes: Bug#20065).
  * Suppressed "Removing any obsolete scripts" message when no such
    scripts.
  * Included cz-us-qwertz.map from Pavel Makovec.

 -- Yann Dirson <dirson@debian.org>  Mon, 23 Mar 1998 14:43:59 +0100

kbd (0.95-7) frozen unstable; urgency=low

  * Really changed maintainer address in control file.
  * Added dh_testversion for --init-script option.

 -- Yann Dirson <dirson@debian.org>  Sat, 21 Mar 1998 17:31:46 +0100

kbd (0.95-6) frozen; urgency=low

  * Slightly modified /etc/init.d/keymaps so that it gets installed
    even if old sysvinit removed an old version (Fixes: Bug#19729).
  * Changed "Conflicts: sysvinit (<< 2.73)" into "Depends: sysvinit
    (>= 2.74)", otherwise bo->hamm wouldn't do (also in Bug#19729).
  * Save locally-added files from /usr/lib/kbd/ into
    /usr/local/share/ (also in Bug#19729).
  * Changed again init.d script name, this time to "keymaps.sh" as
    sysvinit 2.74 is now clean in this respect.

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Mar 1998 17:25:22 +0100

kbd (0.95-5) unstable; urgency=low

  * Use debhelper's dh_installinit now that it supports --init-script.
  * Do not try to build "resizecons" on m68k.
  * Added dependency on dpkg >= 1.4.0.21.
  * Corrected paranoia locale-setting in rules (LANG => LC_ALL).
  * Conforms to standards version 2.4.0.0.

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Mar 1998 00:00:35 +0100

kbd (0.95-4) unstable; urgency=low

  * Fixed /etc/init.d/keymaps to look for loadkeys in /bin/, not
    /usr/bin/.

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Mar 1998 14:33:04 +0100

kbd (0.95-3) unstable; urgency=low

  * /etc/rc.boot/kbd is now installed again (Thanks Santiago).
  * Updated README.Debian to tell about /etc/kbd/config.
  * Changed references from /usr/lib/kbd/* to /usr/share/* in
    manpages (Fixes: Bug#17546).
  * Applied patch for sparc from Eric Delaunay (Fixes: Bug#16979,
    Bug#9927).
  * Added sunt5-fr-latin1 keymap from Eric Delaunay (Fixes: Bug#18531).
  * Added mac-us-{std,ext}.map from James Troup (Fixes: Bug#18704).
  * Changed perms for /etc/init.d/kbd-boot.sh to 0644.
  * Turned "Depends on new sysvinit" into "Conflicts with old one"
    (Fixes: Bug#16867).
  * Fixed postinst to check for links with "-L" instead of "-f"
    (Fixes: Bug#16800, Bug#16341).
  * Be paranoid about $COLUMN setting in kbdconfig. Should hopefully
    fix Bug#16609.
  * Removed .du file.
  * Moved mk_modmap script into /usr/bin/ - registered as undocumented.
  * Changed init.d script name back to "keymaps", and get link name in
    sync (Fixes: Bug#15875).
  * Remove old scripts /etc/init.d/{keymaps,kbd-boot}.sh when present
    (Fixes: Bug#15936).
  * Fixed se-latin1 keymap for caps-lock on 3 characters (Fixes:
    Bug#12307).
  * Included modified debhelper scripts for "--init-script" support in
    dh_installinit.
  * Added "export LANG=C" to debian/rules to turn around bug in
    dpkg-parsechangelog 1.4.0.21.
  * Generalized kbdconfig for use both in kbd and console-tools.
  * Passed lintian 0.3.1.

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Mar 1998 00:50:07 +0100

kbd (0.95-2) unstable; urgency=low

  * Switched from debmake to debhelper (Closes:Bug#15397).
  * Gzip an already installed uncompressed default keymap.
  * Fixed the behaviour regarding rcS.d links (Closes:Bug#14960,Bug#15108).
  * Moved spawn_* from /usr/bin/ to /usr/sbin/.
  * Removed support for old /etc/rc.boot (Closes:Bug#15028).
  * Removed old compatibility links /usr/lib/kbd/*. Will anyone complain ?
  * Further parametrized kbdconfig.

 -- Yann Dirson <dirson@univ-mlv.fr>  Thu, 11 Dec 1997 16:17:02 +0100

kbd (0.95-1) unstable; urgency=low

  * New upstream release.
  * Removed obsolete LSM file.
  * Added -f options to rm/ln in postins.

 -- Yann Dirson <dirson@univ-mlv.fr>  Tue, 18 Nov 1997 13:24:15 +0100

kbd (0.94-6) unstable; urgency=low

  * Fixed syntax error in rc.boot.
  * Switched ro /etc/rcS.d/ mechanism.

 -- Yann Dirson <dirson@univ-mlv.fr>  Mon, 27 Oct 1997 22:05:14 +0100

kbd (0.94-5) unstable; urgency=low

  * Fixed screen-map loading in rc.boot (#13390).
  * rc.boot: do not fail if /etc/kbd/config not present (#13671).
  * Removed upgrade support from obsolete /etc/kbd/config. Should not hurt
    anyone, as `kbdconfig' will be called if no default keymap has already
    been set with the new method. (should prevent new occurences of
    #13457).
  * Modified `config' file, just for an md5 change, to allow people to
    install it. (fixes #13457)
  * Added links to undocumented.7 for all missing manpages.
  * Changes to kbdconfig:
  *  Added in kbdconfig check for presence of /etc/init.d/boot, to prevent
     from breaking when sysvinit will be upgraded.
  *  Allow testing a map from /usr/local/share even if loadkeys don't look
     there (should not show in current packages).
  *  Allowed to use at once default keymap (choice = NONE).
  *  Removed Dominik's comment that is a simple script ;).

 -- Yann Dirson <dirson@univ-mlv.fr>  Wed,  8 Oct 1997 22:45:00 +0200

kbd (0.94-4) unstable; urgency=low

  * Changes to kbdconfig:
  *  Added -u option to "resize" call (#13386).
  *  Do not fail if /usr/local/share/keytables do not exist (#13329).
     Note that this dir is not used by any `kbd_0.94-?'.
  *  Fixed test whether showkey accepts --keymap option (doesn't in any
     `kbd_0.94-?' - does in experimental).
  *  Tell why keymap can't be tested when showkey lacks --keymap option.

 -- Yann Dirson <dirson@univ-mlv.fr>  Sat, 27 Sep 1997 12:44:15 +0200

kbd (0.94-3) unstable; urgency=low

  * Fixed stupid bug in rc.boot (#13284).
  * Moved the file with UTF8-encoded name into examples/ (#13285)
  * Removed "DO_VCSTIME" variable from example in /etc/kbd/config, as
    vcstime is not included in this release.

 -- Yann Dirson <dirson@univ-mlv.fr>  Tue, 23 Sep 1997 22:47:50 +0200

kbd (0.94-2) unstable; urgency=low

  * New maintainer.
  * use "postinst " and "kbdconfig" from experimental - properly handles
    compressed keymaps - allows to optionnaly test and install the keymap
    (fixes #10331, #11268).
  * use rc.boot script from experimental - uses /etc/kbd/config to customize
    some settings.
  * Added README.debian from experimental.
  * Fixed cleanup in preinst (really remove obsolete script from /etc/init.d/).
  * Patch from experimental : suppressed inclusion of <linux/termios.h> in
    both setvesablank.c and screendump.c, to allow compilation under debian's
    libc6_2.0.4-1.
  * Replaced psf.magic with fonts.magic from experimental. Installed in doc/.

 -- Yann Dirson <dirson@univ-mlv.fr>  Mon, 22 Sep 1997 17:03:27 +0200

kbd (0.94-1) unstable; urgency=low

  * Upstream upgrade.
  * Added endianess patch to 'src/setfont.c' (Fix Bug #9842).

 -- Vincent Renardias <vincent@waw.com>  Sun, 18 May 1997 19:20:43 +0200

kbd (0.93-2) unstable; urgency=low

  * Added support for compressed keytables and sent patch to upstream
    developer (Fix Bug #5649).
  * Compressed keytables: saves 560 KB.

 -- Vincent Renardias <vincent@waw.com>  Sat, 10 May 1997 15:50:04 +0200

kbd (0.93-1) unstable; urgency=high

  * Make sure the old /usr/lib/kbd directory is gone (Bug #8643).
  * Cosmetic fix (Bug #9644).
  * Added SUN Sparc maps (Bug #8518).
  * Upstream upgrade (Fix Bug #6830).
  * Added .lsm into doc directory.
  * Built with libc6.

 -- Vincent Renardias <vincent@waw.com>  Fri,  9 May 1997 21:22:54 +0200

kbd (0.92-3.2) frozen unstable; urgency=HIGH

  * Make sure the old /usr/lib/kbd directory is gone.

 -- Vincent Renardias <vincent@waw.com>  Sat, 3 May 1997 21:14:38 +0200

kbd (0.92-3.1) frozen unstable; urgency=HIGH

  * Changed broken symlink (Critical Bug #8263).
  * Fix bad path in /usr/sbin/kbdconfig (Bug #8491).
  * Included patch from M. Dorman for glibc compatibility (Bug #8817).
  * Orphaned the package *sigh*.
    Uploaded by <vincent@waw.com>.

 -- Debian QA Group <debian-qa@lists.debian.org>  Mon, 28 Apr 1997 21:27:10 +0200

kbd (0.92-3) unstable; urgency=low

  * (debian/rules) General cleanup of the Makefile.
  * (debian/rules) Install the doc directory in /usr/doc/kbd. (Fixes #7929)
  * (debian/rules) Install all the READMES from the font and keymap directories
                   in /usr/doc/kbd instead of /usr/lib/kbd. (Fixes #7929)
  * (debian/rules) Install utflist in /usr/doc/kbd. (Fixes #7929)
  * (debian/rules) Install showfont as shfont as documented. (Fixes #7929)
  * (debian/rules) Do not install the ethopian Agafari fonts, since their
                   distribution is restricted. (Fixes #7933)
  * (debian/rules) Do not install vcs.4 manual page, because it is already
                   provided by manpages. (Fixes #7950).
  * (debian/kbdconf)    Changed LIBDIR to /usr/share.
  * (Makefile)     Changed DATADIR to /usr/share.
  * (src/Makefile) build MISC programms and install as well as SHCMDS.
  * (src/loadkeys.y)    Added missing "#include <errno.h>" for glibc2/libc6.
  * (src/loadunimap.c)  Added missing "#include <errno.h>" for glibc2/libc6.
  * (src/resizecons.c)  Added "#include <sys/perms.h>" for glibc2/libc6.
                        Do not include <linux/termios.h> and <linux/types.h>
                        when compiling under glibc2/libc6.
  * (src/getkeycodes.c) Added missing "#include <errno.h>" for glibc2/libc6.

 -- Dominik Kubla <dominik@debian.org>  Mon, 17 Mar 1997 16:48:30 +0100

kbd (0.92-2) unstable; urgency=low

  * (getfd.c) Added missing KB_84 case for m68k. [Again]

 -- Dominik Kubla <dominik@debian.org>  Thu, 6 Mar 1997 13:44:43 +0100

kbd (0.92-1) unstable; urgency=low

  * New upstream release.
  * Split of open, which also has a new upstream release.
  * Re-Debianized the package with deb-make.

 -- Dominik Kubla <dominik@debian.org>  Sat, 1 Mar 1997 21:23:36 +0100

kbd (0.91-13) unstable; urgency=low

  * Fixed dvorak-l and dvorak-r maps.
  * Fixed open(1) manual page.

 -- Dominik Kubla <dominik@debian.org>  Sat, 27 Jan 1996 09:14:00 +0100

kbd (0.91-12) frozen unstable; urgency=high

  * fixed buglet in preinst script trying to copy `NONE' font to /etc/kbd
  * applied patch to amiga-de.map supplied by Frank Neumann.
  * changed `Recommends: svgatextmode` to `Suggests: svgatextmode`.

 -- Dominik Kubla <dominik@debian.org>  Sat, 7 Dec 1996 10:18:40 +0100

kbd (0.91-11) frozen unstable; urgency=high

  * loadkeys will now be installed in /bin to be present in single-user
    mode and during system boot.

  * Corrected mistake while fixing type-warnings introduced in 0.91-6,
    which made the code unusable on big-endian systems.

  * Further fixes to the makefile wrt m68k port.

 -- Dominik Kubla <dominik@debian.org>  Tue, 26 Nov 1996 12:21:03 +0100

kbd (0.91-10) frozen unstable; urgency=low

  * Added missing targets binary-arch/binary-indep to debian/rules.
  * Added definition of $(arch).

 -- Dominik Kubla <dominik@debian.org>  Mon, 18 Nov 1996 10:53:31 +0100

kbd (0.91-9) frozen unstable; urgency=low

  * Added missing inclusion of <errno.h> to src/loadkeys.y (needed when
    using libc6).
  * Included dsetup-kbd into the source distribution.
  * Added "Depends: sysvinit (>=2.67)" to because /etc/rc.boot/0kbd
    is now included in /etc/init.d/boot which is part of sysvinit.

 -- Dominik Kubla <dominik@debian.org>  Thu, 14 Nov 1996 14:55:44 +0100

kbd (0.91-8) frozen unstable; urgency=low

  * Added dead_cedilla support (for 2.0.25+ and 2.1.8+ kernels).
  * Changed maintainer address to debian.org mail address.
  * Updated StandardsVersion field in config file.
  * Changed boot script: font loading has been dropped in favour of
    svgatextmode. This package will now recommend svgatextmode.
  * Changed configuration script: selected keymap is now copied to
    /etc/kbd/default.map so that it may be present in single-user mode.
  * Put debian-specific parts of the source tree under RCS control.

 -- Dominik Kubla <dominik@debian.org>  Mon, 11 Nov 1996 09:25:14 +0100

kbd (0.91-7) frozen unstable; urgency=high

  * Fixed nasty little bug in the kbdconfig script.
  * Removed dependency listings from src/Makefile, because the won't work
    on the ALPHA.
  * Change file mode of debian/rules to 0755.
  * Included original source in upload, because the previous archive was
    not the original one.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Sat, 9 Nov 1996 15:39:13 +0100

kbd (0.91-6) unstable; urgency=low

  * Converted to new packaing standards.
  * Fixed bug in setmetamode.c
  * Further code clean-up (using lclint and gcc with more than -Wall enabled)
  * Removed *.cp files added in release 5, because dpkg-buildpackage can not
    handle binary data files and will refuse to build the package
  * Fixed endianess-related bug in setmetamode.c (Thanks to Hamish Macdonald)
  * Added section about compose sequences and dead-keys to keytables(5).
    That closes Bug#1901.
  * Added keytables for right-handed and left-handed Dvorak layouts
    (Thanks to Eddie Maddox for providing the information).  That closes
    Bug#3988.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Thu, 31 Oct 1996 16:52:16 +0100

0.91-5:

	Added support for multi-resolution fonts (fixes bug #4258).

        Added support for 84-key keyboards on m68k.

        Added some more *.cp files (which hold fonts for all three common
	font resolutions - 8x8, 8x14 and 8x16):
	437.cp	-  Default for IBM compatibles
	737.cp	-  ??? (replaced exisiting version)
	850.cp  -  International
	852.cp  -  Hunagry
        857.cp  -  Turkey
	860.cp  -  Portugal
	861.cp  -  ???
	863.cp  -  Kanada (french)
	865.cp  -  Norway, Danmark
	869.cp  -  ???

	added commands from the contrib directory to the install list

	addded unicode scripts from src directory to the install list

	added misc. documentation to the install list.

	started to clean up code

	added cp437.uni translation table from the kernel sources.

        added m68000 patches provided by Geert Uyterhoeven

	removed serial console setup (it is moved to sysvinit,
	where it belongs)

	fixed some spelling errors

0.91-4: changed Makefile to build and install additional programs.

0.91-3: fixed nasty nesting error in kbdconfig script

0.91-2: fixed stupid mistake in the kbdconfig script

0.91-1: upgraded to latest upstream version

	showfont will be installed as shfont to resolve the name clash
	with the X11 utility of the same name

	added /usr/sbin/kbdconfig to (re)configure the package

	resizecons will not be installed on Debian Linux for m68k

	added keytables for m68k systems contributed by Frank Neumann

	split configuration data and initscript.  The conffile is named
	/etc/kbd/config.

	changed all references to /dev/console to /dev/tty0 to support
	serial consoles

	changed all references to "virtual consoles" to "virtual terminals"
